## mini-httpd 1.21

=== debian/changelog ===
mini-httpd (1.21-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #780194)
  * Fix CVE-2015-1548 
      - Patch fix-add_to_response-buffer-overflow. (Closes: #778925)
  * d/control:
      - Bump Standard-Version to 3.9.6.
      - Bump debhelper to 9.
      - Remove deprecated dpatch.
      - Upgrade packaging format "3.0 (quilt)". (Closes: #664363)
      - Remove article in description synopsis.
      - Add ${misc:Depends}.
  * d/copyright
      - Update to DEP5 format.
      - Formatting copyright.
  * d/rules:
      - Upgrade to dh sequencer.
      - Added upstream changelog extracted from mini-httpd website.
  * d/mini-httpd.init.d:
      - Fix restart error. (Closes: #510905, #755892)
  * d/patches:
      - Fix and add SCRIPT_FILENAME in patch 03-cgi-php. (Closes: #569599)
      - Ensure hardening is enabled for mini_httpd.c.
      - Don't install htpasswd.1.
      - Add index.mini-httpd.html to the list of index names.
  * d/mini-httpd.init.d
      - Source /lib/lsb/init-functions.
      - Add "status" command.
  * d/mini-httpd.postinst
      - Copy index.mini-httpd.html. (Closes: #730373)
      - Use "set -e" and don't install htpasswd. (Closes: #520941)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Thu, 03 Sep 2015 14:59:53 -0300

mini-httpd (1.19-9.3) unstable; urgency=low

  * Non-maintainer upload.
  * Do not install htpasswd, recommend apache2-utils instead.
    (Closes: #674515). 
  * Add missing dependencies on $remote_fs to fix a lintian error.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Jun 2012 01:31:28 +0200

mini-httpd (1.19-9.2) unstable; urgency=medium

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/patches
    - (number 10): New patch to fix htpasswd.c:52: error:
      conflicting types for 'getline'. . Thanks to Ruben Molina
      <rmolina@udea.edu.co>. (FTBFS RC Bug serious; Closes: #552844)

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 07 Jan 2010 11:13:26 +0200

mini-httpd (1.19-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism (Closes: #525366)
  * Fix lintian-detected hyphen-used-as-minus-sign errors.
  * Add watch file.

 -- Raphael Geissert <geissert@debian.org>  Sun, 05 Jul 2009 19:38:05 -0500

mini-httpd (1.19-9) unstable; urgency=low

  * Added kFreeBSD portin patch (Closes: #498368)
    - Thanks to Petr Salinger
  * Enabled CGI by default (Closes: #500708) 
  * Fixed init.d script (Closes: #500708, #491083)
  * data_dir will be created if necessary (Closes: #494437)
  * Added example index.html
  * changed default data_dir to /usr/share/mini-httpd/html
  * Fixed typo in 03-cgi-php.dpatch
  * Updated Standards-Version to 3.8.0

 -- Marvin Stark <marv@der-marv.de>  Thu, 15 Jan 2009 15:28:53 +0100

mini-httpd (1.19-8) unstable; urgency=low

  * /etc/mini-httpd.conf:
    - Changed data_dir to /var/www (Closes: #473140)
  * debian/control:
    - Removed Homepage from long description
    - Added Homepage field

 -- Marvin Stark <marv@der-marv.de>  Fri, 28 Mar 2008 19:13:33 +0000

mini-httpd (1.19-7) unstable; urgency=low

  * Patched PHP CGI errors (Closes: #462930)
    Thanks to Thorsten Schmale
  * Changed Standards-Version to 3.7.3
  * Fixed init.d script

 -- Marvin Stark <marv@der-marv.de>  Tue, 05 Feb 2008 08:56:53 +0000

mini-httpd (1.19-6) unstable; urgency=low

  * Changed start behavior in default file (Closes: #454230)
    1 = start; 0 = stop

 -- Marvin Stark <marv@der-marv.de>  Tue, 04 Dec 2007 21:52:32 +0000

mini-httpd (1.19-5) unstable; urgency=low

  * Removed stripping flag from Makefile (Closes: #437570)

 -- Marvin Stark <marv@der-marv.de>  Wed, 15 Aug 2007 13:11:22 +0000

mini-httpd (1.19-4) unstable; urgency=low

  * Removed Daniel from uploaders as wished by him.
  * Fixed init script (Closes: #407775).
    Thanks to Andreas Metzler.

 -- Marvin Stark <marv@der-marv.de>  Sun, 21 Jan 2007 11:52:01 +0000

mini-httpd (1.19-3) unstable; urgency=low

  * Pidfile will be removed, if mini-http gets removed or stopped (Closes: #387941).
  * Changed start behavior of mini-httpd.

 -- Marvin Stark <marv@der-marv.de>  Wed, 25 Oct 2006 21:47:43 +0200

mini-httpd (1.19-2) unstable; urgency=low

  * Resolved conflicts with apache2-utils (Closes: #385268).
  * Added LSB initscript header.
  * Renamed mini_httpd.conf to mini-httpd.conf
  * Renamed mini_httpd.default to mini-httpd.default
  * Renamed mini_httpd.init.d to mini-httpd.init.d

 -- Marvin Stark <marv@der-marv.de>  Wed, 13 Sep 2006 18:11:12 +0200

mini-httpd (1.19-1) unstable; urgency=low

  * Initial release (Closes: #376599, #308660).

 -- Marvin Stark <marv@der-marv.de>  Mon,  3 Jul 2006 20:12:42 +0200
