=== debian/control ===
Source: mini-httpd
Section: web
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9), libssl-dev
Homepage: http://www.acme.com/software/mini_httpd
Standards-Version: 3.9.6

Package: mini-httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi
Recommends: apache2-utils
Description: Small HTTP server
 mini-httpd implements all basic features of a HTTPD, including: GET,HEAD,POST
 methods, common MIME types, basic authentication, virtual hosting, CGI,
 directory listing, trailing-slash redirection, standard logging, custom error
 pages etc. It also can be configured to do SSL and IPv6.
