=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -D mini_httpd debian/mini-httpd/usr/sbin/mini_httpd
	rm -f debian/mini-httpd/usr/sbin/htpasswd
	dh_installchangelogs debian/upstream.changelog
