=== debian/changelog ===
mini-httpd (1.23-1.2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:03 +0000

mini-httpd (1.23-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bring back lost HTTPS support (Closes: #818474).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 16 Feb 2017 23:14:13 +0100

mini-httpd (1.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix FTBFS in kfreebsd-amd64.  Closes: #825713

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 17 Jun 2016 10:06:51 +0000

mini-httpd (1.23-1) unstable; urgency=medium

  * New upstream release
  * d/control:
     - Bump Standard-Version to 3.9.7.
  * d/upstream.changelog:
     - Update changes.
  * d/patches:
     - Remove patch fix-add_to_response-buffer-overflow fixed for upstream.
     - Fix support FreeBSD 
       thanks Steven Chamberlain <steven@pyro.eu.org> (Closes: #815339)
     - Add patch fix-autobuilders for a problem with package on 64-bit
       thanks Steve Langasek <steve.langasek@ubuntu.com> (Closes: #819125)
  * d/rules:
     - Add hardening
     - Don`t install htpasswd (LP: #943088)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Fri, 01 Apr 2016 17:32:30 -0300
