=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: mini-httpd
 Section: web
 Priority: optional
-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9), libssl-dev
 Homepage: http://www.acme.com/software/mini_httpd
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: mini-httpd
 Architecture: any
