=== debian/watch ===
version=3
http://www.acme.com/software/mini_httpd/mini_httpd-(.+)\.tar\.gz
