## mini-httpd 1.30

=== debian/changelog ===
mini-httpd (1.30-14) unstable; urgency=medium

  * Closes: #516309. I can't reproduce this at all, it is possible
    another patch related to vhost fixed this in the 16 years it's been open.
    The bug author doesn't reply anymore with another test and since I can't
    see this at all, closing as can't reproduce.
  * Forwarded all remaining patches to upstream and fixed Debian-Bug URL typo
    in debian/patches/0008-fix-ftbfs-kfreebsd-amd64
  * Added debian-watch-does-not-check-openpgp-signature lintian override
    since upstream never has and probably never will provide this.
  * Added missing Repository and Repository-Browse fields in upstream metadata
    file.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Sat, 13 Sep 2025 17:59:45 +0300

mini-httpd (1.30-13) unstable; urgency=medium

  * Adds chroot syscall exception to SystemCallFilter in the service.
    This allows operation in chroot mode when using the service.
    (Closes:  #1105097)
  * Update copyright years for debian scripts.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Mon, 12 May 2025 18:25:39 +0300

mini-httpd (1.30-12) unstable; urgency=medium

  * Declare compliance with Standards-Version 4.7.2. (no changes required).
  * Document new systemd service and corresponding init.d
    script in the manpage.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Sun, 09 Mar 2025 13:51:39 +0200

mini-httpd (1.30-11) unstable; urgency=medium

  * Added patch redirecting CGI script stderr output to /dev/null.
    This fixes CGI stderr output being sent to the client, which is not
    compliant with CGI RFC and breaks some sites.
    (Closes: #437932)
  * Added patch which starts logging CGI script invocations.
    This enables referrer analysis.
    (Closes: #516307)
  * Added a basic upstream/metadata tracking acme.com.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Wed, 19 Jun 2024 23:02:24 +0300

mini-httpd (1.30-10) unstable; urgency=medium

  * Added patch improving handling of "charset=%s" in error pages
    and directory listing. Before, a literal "%s" was output as opposed to
    the actual charset. Now, the correct charset (UTF-8 for dirs and
    ISO-8859-1 for err) is output. Thanks again, Alexander Foken !
    (Closes: #714549)
  * Added a Systemd DocumentationKey entry fixing lintian warning. This
    points to the manpage for now.
  * Added SystemD hardening features to service. The directives
    I have provided should have no impact. I've confirmed no impact to
    basic functionality, vhosting, error pages and CGI. I managed to
    get the service to a "4.7 - OK" rating by using
    systemd-analyze security mini-httpd (all the way from 9.6).
    I have NOT enabled hardening features which have a high change of
    impacting functionality such as removing CAP_CHROOT which would
    mean mini_httpd's chroot mode of operation is forbidden.
    Help is welcome in improving these options (maybe someone with a
    security background could chip in).
  * Added a NEWS entry informing users of potential breakage due to
    new systemd hardening features.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Tue, 16 Apr 2024 00:11:43 +0300

mini-httpd (1.30-9) unstable; urgency=medium

  * Added patch fixing NPH scripts (SSL) getting an additional
    HTTP/1.0 200 OK header before the actual expected one. This
    violates the CGI RFC (RFC-3875).
    (Closes: #1064656)
  * Merged branch fixing mini-httpd starting too early after reboot.
    This only happened using the old init.d script. The systemd service
    is not affected. Thanks, Jean !

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 08 Mar 2024 18:44:18 +0200

mini-httpd (1.30-8) unstable; urgency=medium

  * Modified mini-httpd.postinst to check if we're doing a
    fresh install or upgrading. Secondly, if we're fresh installing,
    the default index.html file is copied into /var/www/html only if
    no other index files are present (ex: index.cgi). This prevents
    the shipped index.html overwriting existing index.ext files.
    If we are upgrading, no files will be touched.
    (Closes: #1061792)
  * Removed erroneous duplicate "-C /etc/mini-httpd.conf" in
    systemd ExecStart. The "-C" call was already present in
    the EnvironmentFile (/etc/default/mini-httpd) read and
    used by the service. This resulted in mini-httpd's
    commandline containing the "-C" call twice.
    Thanks, Alexander Foken.

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 02 Feb 2024 19:42:56 +0200

mini-httpd (1.30-7) unstable; urgency=medium

  * Modified mini-httpd.postinst to not copy
    /usr/share/doc/mini-httpd/examples/index.html into
    /var/www/html/index.html if it's not readable,
    fixing weird edge cases where docker's dpkg
    cleans up /usr/share/*/examples beforehand,
    (Closes: #1061070)
  * Created 0011-fix-typo-in-documentation-maxage
    which clears confusion regarding the maxage
    config & cli option, the actual name for the
    variable being max_age in mini_httpd.c.
    The patch modifies documentation and
    help output to reflect this reality.
    (Closes: #1018900)

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Fri, 19 Jan 2024 21:09:00 +0200

mini-httpd (1.30-6) unstable; urgency=medium

  * Modified 0003-fix-change-index-document-root and
    0005-cgi-php to push index.mini-httpd.html to the end of known
    index.* array, modified install script to copy the provided
    index.html into /var/www/html/index.html,
    if not present (Closes: #1057842)
  * Moved package provided index.html file to
    /usr/share/doc/mini-httpd/examples, to avoid lintian warning regarding doc
    location

 -- Alexandru Mihail <alexandru.mihail2897@gmail.com>  Tue, 12 Dec 2023 00:00:53 +0200

mini-httpd (1.30-5) unstable; urgency=medium

  * Added patch stripping port numbers in vhost setup. (Closes: #491078).
  * Corrected systemd service not consuming /etc/default/mini-httpd
    configurations.

