=== debian/control ===
Source: mini-httpd
Section: web
Priority: optional
Maintainer: Alexandru Mihail <alexandru.mihail2897@gmail.com>
Build-Depends: debhelper-compat (= 13), libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://www.acme.com/software/mini_httpd
Vcs-Browser: https://salsa.debian.org/debian/mini-httpd
Vcs-Git: https://salsa.debian.org/debian/mini-httpd.git

Package: mini-httpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi
Recommends: apache2-utils
Description: Small HTTP server
 mini-httpd implements all basic features of a HTTPD, including: GET, HEAD, POST
 methods, common MIME types, basic authentication, virtual hosting, CGI,
 directory listing, trailing-slash redirection, standard logging, custom error
 pages etc. It also can be configured to do SSL and IPv6.
