=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS += $(CPPFLAGS)
%:
	dh $@

execute_after_dh_auto_install:
	install -D mini_httpd debian/mini-httpd/usr/sbin/mini_httpd
	rm -f debian/mini-httpd/usr/sbin/htpasswd

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

override_dh_installinit:
	dh_installinit --name=mini-httpd
