=== debian/watch ===
version=4
https://www.acme.com/software/mini_httpd/mini_httpd-(.+)\.tar\.gz
